org.apache.ignite.internal.processors.cache

## Class CacheEntryInfoCollection

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryInfoCollection

All Implemented Interfaces:
  Serializable, Message

    public class CacheEntryInfoCollection
    extends Object
    implements Message

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryInfoCollection()`
`CacheEntryInfoCollection(List<GridCacheEntryInfo> infos)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(GridCacheEntryInfo info)`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`List<GridCacheEntryInfo>` `infos()`
`void` `init()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheEntryInfoCollection

    public CacheEntryInfoCollection()

#### CacheEntryInfoCollection

    public CacheEntryInfoCollection(List<GridCacheEntryInfo> infos)

Parameters:
  `infos` - List of cache entry info.

### Method Detail

#### init

    public void init()

#### infos

    public List<GridCacheEntryInfo> infos()

Returns:
  Entries.

#### add

    public void add(GridCacheEntryInfo info)

Parameters:
  `info` - Entry.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018